%define anolis_release 1
Name:           libtheora
Epoch:          2
Version:        1.2.0
Release:        %{anolis_release}%{?dist}
Summary:        Theora Video Compression Codec
License:        BSD
URL:            http://www.theora.org
Source0:        http://downloads.xiph.org/releases/theora/%{name}-%{version}.tar.xz

BuildRequires:  autoconf automake doxygen libtool make
BuildRequires:  libogg-devel >= 2:1.1
BuildRequires:  libpng-devel
BuildRequires:  libvorbis-devel
BuildRequires:  SDL-devel
BuildRequires:  tetex-latex

%description
Theora is a free and open video compression format from the Xiph.org
Foundation. Like all our multimedia technology it can be used to distribute
film and video online and on disc without the licensing and royalty fees or
vendor lock-in associated with other formats.

Theora scales from postage stamp to HD resolution, and is considered
particularly competitive at low bitrates. It is in the same class as
MPEG-4/DiVX, and like the Vorbis audio codec it has lots of room for
improvement as encoder technology develops.

%package devel
Summary:        Development tools for Theora applications
Requires:       libogg-devel >= 2:1.1
Requires:       %{name} = %{EVR}

%description devel
The %{name}-devel package contains the header files needed to develop
applications with libtheora.


%package -n theora-tools
Summary:        Command line tools for Theora videos
Requires:       %{name} = %{EVR}

%description -n theora-tools
The theora-tools package contains simple command line tools for use
with theora bitstreams.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%package devel-docs
Summary:        Documentation for developing Theora applications
BuildArch:      noarch

%description devel-docs
The libtheora-devel-docs package contains the documentation needed
to develop applications with libtheora.


%prep
%autosetup -p1

cp /usr/lib/rpm/anolis/config.* .

%build
./autogen.sh
sed -i 's/CFLAGS="$CFLAGS $cflags_save"/CFLAGS="$cflags_save"/g' configure
%configure --enable-shared --disable-static
%make_build

%make_build -C doc/spec

%install
%make_install

find %{buildroot} -type f -name "*.la" -delete
rm -r %{buildroot}/%{_docdir}/*

mkdir -p %{buildroot}/%{_bindir}
install -m 0755 examples/.libs/dump_video $RPM_BUILD_ROOT/%{_bindir}/theora_dump_video
install -m 0755 examples/.libs/encoder_example $RPM_BUILD_ROOT/%{_bindir}/theora_encode
install -m 0755 examples/.libs/player_example $RPM_BUILD_ROOT/%{_bindir}/theora_player
install -m 0755 examples/.libs/png2theora $RPM_BUILD_ROOT/%{_bindir}/png2theora

%generate_compatibility_deps

%files
%dir %{abidir}
%doc COPYING
%{_libdir}/libtheora.so*
%{_libdir}/libtheoradec.so*
%{_libdir}/libtheoraenc.so*
%{abidir}/*.dump

%files devel
%{_includedir}/theora
%{_libdir}/pkgconfig/theora.pc
%{_libdir}/pkgconfig/theoradec.pc
%{_libdir}/pkgconfig/theoraenc.pc

%files -n theora-tools
%{_bindir}/png2theora
%{_bindir}/theora_dump_video
%{_bindir}/theora_encode
%{_bindir}/theora_player
%{abidir}/*-option.list

%files doc

%files devel-docs
%doc doc/spec/Theora.pdf
%doc doc/vp3-format.txt doc/draft-ietf-avt-rtp-theora-00.txt
%doc doc/libtheora/html doc/color.html

%changelog
* Fri Apr 18 2025 zjl02254423 <zjl02254423@alibaba-inc.com> - 2:1.2.0-1
- update vesion

* Tue Apr 18 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2:1.1.1-6
- format patches

* Fri Apr 14 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 2:1.1.1-5
- Optimize the spec file

* Mon Mar 27 2023 Xuchun Shang <xuchun.shang@linux.alibaba.com> - 2:1.1.1-4
- Remove build require for transfig

* Thu Oct 20 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2:1.1.1-3
- optimise spec file

* Mon Oct 10 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2:1.1.1-2
- add doc package

* Tue Apr 19 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2:1.1.1-1
- init from upstream
